<?php
/*
* see sugarcrm-dev-link manpage for more information on the tag below
* __dev_link__ custom/modules/Accounts/
*/

if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*******************************************************************************
* The  contents of  this file are  subject to  the Loaded  Technologies Master
* Subscription
*
* Agreement ("License") which can be viewed at loadedtech.com.au/
* By  installing or using  this file, You have  unconditionally agreed  to the
* terms and conditions of the License, and You may not use this file except in
* compliance with the License.  Under the terms of the license, You shall not,
* among other things: 1) sublicense, resell, rent, lease, redistribute, assign
* or otherwise transfer Your  rights to the Software,  and 2) use the Software
* for timesharing or  service bureau purposes such as hosting the Software for
* commercial gain and/or for the benefit of a third party. Use of the Software
* may be subject to  applicable fees and any use of the Software without first
* paying applicable fees is strictly prohibited.  You do not have the right to
* remove Loaded Technologies copyrights from any file or user interface.
*
* All copies of the Covered  Code must include  on each user interface screen:
* (i) the "Powered by Loaded Tech" logo and
* (ii) the Loaded Technologies copyright notice
* in the same  form as they appear in  the distribution.  See full license for
* requirements.
*
* Your Warranty, Limitations  of liability and  Indemnity are expressly stated
* in  the  License.  Please  refer to  the License  for the  specific language
* governing these rights and  limitations under the License.  Portions created
* by SugarCRM are Copyright (C) 2004-2012 SugarCRM, Inc.; All Rights Reserved.
*******************************************************************************
*/
require_once "custom/include/OrgChart/OrgChart.php";

// Parse account ID from query string/post
$strAccountID =   ($_REQUEST['return_id'] != '' ? $_REQUEST['return_id'] : ($_POST['recordID'] ? $_POST['recordID'] : $_REQUEST['record']) );

$objOrgChart = new OrgChart();


if(isset($_REQUEST['sourceID']) && isset($_REQUEST['targetID'] )){
	$sourceID = $_REQUEST['sourceID'];
	$targetID = $_REQUEST['targetID'];

	$objOrgChart->UpdatePriOrgChart($sourceID, $targetID);
    exit;
}

?>
<!-- css includes for jOrgChart-->
<link rel="stylesheet" href="custom/include/jOrgChart/css/jquery.jOrgChart.css"/>
<!-- Hide menu and footer for iframe-->
<script type="text/javascript">
	
	var isInIFrame = (window.location != window.parent.location);
	if(isInIFrame==true)
	{
		document.getElementById("dcmenu").style.display = 'none';
		document.getElementById("dcmenutop").style.display = 'none';
	}
</script>

<!-- jQuery includes for jOrgChart-->
<script type="text/javascript" src="include/javascript/jquery/jquery-ui-min.js"></script>
<script src="custom/include/jOrgChart/jquery.jOrgChart.js"></script>


<!-- For Activities sub panel add/edit record -->
<form id="formDetailView" name="DetailView" method="post" action="index.php">
	<input type="hidden" value="Accounts" name="module">
	<input type="hidden" value="<?php echo $strAccountID;?>" name="record">
</form>

<?php

if (!$objOrgChart->ValidateAccountID($strAccountID))
{
	$objOrgChart->PrintError();
	return;
}
$objOrgChart->setLoadedOrgChartNodeCSS();

$layout_flag = false;
if(!isset($_REQUEST['layout']) && $_REQUEST['layout'] == '')
{
	$this->conf = BeanFactory::getBean('LoadedBaseConfig');
	$this->conf->load('OrgChart');
	$_REQUEST['layout'] = trim($this->conf->getSetting('acc_layout'));
}
if(isset($_REQUEST['layout']) && $_REQUEST['layout'] != '')
{
	$layout_order = trim($_REQUEST['layout']);
	
	//Bug 5352 - comment #7
	$o_match = strstr($layout_order, "o");
	if($o_match)
	{
		$o_exist = true;
	}
	
	$cnt_layout_chars = strlen(($layout_order));
	for($cntLayout = 0; $cntLayout < $cnt_layout_chars; $cntLayout++)
	{
		switch ($layout_order[$cntLayout])
		{
			case 't':
			  $layout_flag = true;
			  $objOrgChart->DisplayTitle();
			  break;
			case 'o':
			  $layout_flag = true;
			  $objOrgChart->DisplayAccountMembers();
			  break;
			case 'c':
			  $layout_flag = true;
			  if($o_exist)
			  {
				  $objOrgChart->DisplayAccountContacts();
			  }
			  else
			  {
				$objOrgChart->DisplayParentAccountContacts();
			  }
			  break;
			case 'p':
			  $layout_flag = true;
			  $objOrgChart->DisplayAccountSubPanels();
			  break;
			case 'f':
			  $layout_flag = true;
			  $objOrgChart->DisplyAccountsAdditionalFields();
			  break;
		}
	}
}

if($layout_flag == false)
{
	$objOrgChart->DisplayTitle();
	$objOrgChart->DisplayAccountMembers();
	$objOrgChart->DisplayAccountContacts();
	$objOrgChart->DisplayAccountSubPanels();
	$objOrgChart->DisplyAccountsAdditionalFields();
}

?>



<script type='text/javascript'>	
				jQuery(document).ready(function() {					
				$('#primary_org').jOrgChart({
					chartElement : '#primary_chart',
					dragAndDrop  : true
				});	
			});
</script>
