<?php
$popupMeta = array (
    'moduleMain' => 'Account',
    'varName' => 'ACCOUNT',
    'orderBy' => 'name',
    'whereClauses' => array (
  'name' => 'accounts.name',
  'account_type' => 'accounts.account_type',
  'fund_type_c' => 'accounts_cstm.fund_type_c',
  'assets_total_c' => 'accounts_cstm.assets_total_c',
  'parent_name' => 'accounts.parent_name',
),
    'searchInputs' => array (
  0 => 'name',
  3 => 'account_type',
  4 => 'fund_type_c',
  5 => 'assets_total_c',
  6 => 'parent_name',
),
    'create' => array (
  'formBase' => 'AccountFormBase.php',
  'formBaseClass' => 'AccountFormBase',
  'getFormBodyParams' => 
  array (
    0 => '',
    1 => '',
    2 => 'AccountSave',
  ),
  'createButton' => 'LNK_NEW_ACCOUNT',
),
    'searchdefs' => array (
  'name' => 
  array (
    'name' => 'name',
    'width' => '10%',
  ),
  'account_type' => 
  array (
    'type' => 'enum',
    'label' => 'LBL_TYPE',
    'width' => '10%',
    'name' => 'account_type',
  ),
  'fund_type_c' => 
  array (
    'type' => 'enum',
    'studio' => 'visible',
    'label' => 'LBL_FUND_TYPE',
    'width' => '10%',
    'name' => 'fund_type_c',
  ),
  'assets_total_c' => 
  array (
    'type' => 'int',
    'label' => 'LBL_ASSETS_TOTAL',
    'width' => '10%',
    'name' => 'assets_total_c',
  ),
  'parent_name' => 
  array (
    'type' => 'relate',
    'link' => true,
    'label' => 'LBL_MEMBER_OF',
    'id' => 'PARENT_ID',
    'width' => '10%',
    'name' => 'parent_name',
  ),
),
    'listviewdefs' => array (
  'NAME' => 
  array (
    'width' => '40%',
    'label' => 'LBL_LIST_ACCOUNT_NAME',
    'link' => true,
    'default' => true,
    'name' => 'name',
  ),
  'ACCOUNT_TYPE' => 
  array (
    'type' => 'enum',
    'label' => 'LBL_TYPE',
    'width' => '10%',
    'default' => true,
  ),
  'FUND_TYPE_C' => 
  array (
    'type' => 'enum',
    'default' => true,
    'studio' => 'visible',
    'label' => 'LBL_FUND_TYPE',
    'width' => '10%',
  ),
  'ASSETS_TOTAL_C' => 
  array (
    'type' => 'int',
    'default' => true,
    'label' => 'LBL_ASSETS_TOTAL',
    'width' => '10%',
  ),
  'PARENT_NAME' => 
  array (
    'type' => 'relate',
    'link' => true,
    'label' => 'LBL_MEMBER_OF',
    'id' => 'PARENT_ID',
    'width' => '10%',
    'default' => true,
  ),
),
);
