<?php
/**
 * Created by JetBrains PhpStorm.
 * User: hugh
 * Date: 16/09/13
 * Time: 10:56 PM
 * To change this template use File | Settings | File Templates.
 */

class CreateTransactions{
    function rebalance(&$focus, $event, $arguments) {
        /*
         * this function creates all the rebalancing transactions:
         *  - transactions to negate the value of the current investments
         *  - a new investment and an initial transaction for the new investment
         */

        /*
         * In order to compare new values with previous values to see whether a change has happened,
         * use $bean->fetched_row['<field>'] (old value) and $bean-><field> (new value) in the before_save logic hook.
        */
        $rel_name = 'se_investments_se_transactions';
        global $sugar_config;
        if($focus->fetched_row['investment_risk_c'] != $focus->investment_risk_c){
            //$focus->description .= ' value changed';
//            $focus->load_relationship('se_investments_contacts');
            $txn_value = 0;

            //http://johndopenotes.wordpress.com/2013/03/19/sugarcrm-get-related-records-using-get_linked_beans/
            $investments = $focus->get_linked_beans('se_investments_contacts','se_Investments');
            // Loop through the records
            foreach($investments as $investment) {
                if ($investment->inv_balance != 0){
                    $focus->description .= $investment->name;
                    $txn_value += $investment->inv_balance;

                    //create subtraction transaction(s)
                    //$txn = BeanFactory::getBean('se_Transactions'); //   <---- THIS MUST BE YOU MODULE NAME ...
                    $txn = BeanFactory::newBean('se_Transactions'); //   <---- THIS MUST BE YOU MODULE NAME ...
                    $txn->name = "rebalancing"; //you can give the name you want.
                    $txn->description = 'lh r - : '.$focus->name;
                    $txn->txn_value = -$investment->inv_balance;
                    $txn->type = "Rebalancing";
                    $txn->member_name = $focus->first_name.' '.$focus->last_name;
                    $txn->investment_option = $investment->investment_option;
                    $txn->save();

                    $txn->load_relationship($rel_name);
                    $txn->$rel_name->add($investment->id);
                    $investment->description .= ' -Rebalanced- ';
                }
            }

//            $inv_opt_name = 'Balanced Portfolio: three';
            $inv_option = BeanFactory::getBean('se_InvestmentOptions',$focus->investment_risk_c);
            if (isset($inv_option->name)) $inv_opt_name = $inv_option->name;

            $inv_bean = BeanFactory::newBean('se_Investments');
            $inv_bean->investment_option = $inv_opt_name;
            $inv_bean->description .= 'rebalancing ';
            $inv_bean->name = 'SuperFund rebalance';
            $inv_bean->inv_balance = $txn_value;
            $inv_bean->save();

            $option_rel_name = 'se_investments_contacts';
            $inv_bean->load_relationship($option_rel_name);
            $inv_bean->$option_rel_name->add($focus->id);

            $option_rel_name = 'se_investments_se_investmentoptions';
            $inv_bean->load_relationship($option_rel_name);
            $inv_bean->$option_rel_name->add($focus->investment_risk_c);
            $inv_bean->save();

            //create addition transaction
            $txn = BeanFactory::getBean('se_Transactions'); //   <---- THIS MUST BE YOU MODULE NAME ...
            $txn->name = "lhr"; //you can give the name you want.
            $txn->description = 'lh r + ';
            $txn->txn_value = $txn_value;
            $txn->type = "Rebalancing";
            $txn->investment_option = $inv_bean->$option_rel_name->beans[$focus->investment_risk_c]->name;
            $txn->member_name = $focus->first_name.' '.$focus->last_name;
            $txn->save();

            $txn->load_relationship($rel_name);
            $txn->$rel_name->add($inv_bean->id);

/*
            // Can't get the bean to work, so going brute force for now!!!
            $pdo_dsn = 'mysql:host='.$sugar_config['dbconfig']['db_host_name'].';dbname='.$sugar_config['dbconfig']['db_name'];

            //reduce old investment
            try {
                //$dbh = new PDO('mysql:host=ab;dbname=sugarcrm', 'sugarcrm', 'sugarcrm');
                $dbh = new PDO($pdo_dsn, $sugar_config['dbconfig']['db_user_name'], $sugar_config['dbconfig']['db_password']);
                $id = create_guid();
                $inv_id  = $inv_bean->id;
                $txn_id = $txn->id;
                $sql = "INSERT INTO se_investments_se_transactions_c (id,deleted,se_investments_se_transactionsse_investments_ida, se_investments_se_transactionsse_transactions_idb) VALUES ('".$id."','0','".$inv_id."', '".$txn_id."')";
                $rows = $dbh->query($sql);
                $tmp = $rows;
            } catch (PDOException $e) {
                print "Error!: " . $e->getMessage() . "<br/>";
                die();
            }
*/



        }


    }
}