<?php

if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

//Points to 'modules/Accounts/views/view.detail.php' instead of 'include/MVC/View/views/view.detail.php' since accounts already overrides the stock view
//require_once('include/MVC/View/views/view.detail.php');
require_once('modules/Contacts/views/view.detail.php');


class CustomContactsViewDetail extends ContactsViewDetail
{

    function CustomContactsViewDetail()
    {
        parent::ContactsViewDetail();
    }

     // Override - Called from process(). This method will display subpanels.
    protected function _displaySubPanels()
    {
        if (isset($this->bean) && !empty($this->bean->id) && (file_exists('modules/' . $this->module . '/metadata/subpaneldefs.php') || file_exists('custom/modules/' . $this->module . '/metadata/subpaneldefs.php') || file_exists('custom/modules/' . $this->module . '/Ext/Layoutdefs/layoutdefs.ext.php'))) {
            $GLOBALS['focus'] = $this->bean;
            require_once ('include/SubPanel/SubPanelTiles.php');
            $subpanel = new SubPanelTiles($this->bean, $this->module);

            //Dependent logic
            if ($this->bean->investor_c ) {
                //Subpanels to hide
                $hideSubpanels=array(
                    'opportunities',
                    'project',
                    'documents',
                    'cases',
                    'contacts',
                );

                foreach ($hideSubpanels as $subpanelKey)     {
                        //Remove subpanel if set
                        if (isset($subpanel->subpanel_definitions->layout_defs['subpanel_setup'][$subpanelKey]))
                        {
                            unset($subpanel->subpanel_definitions->layout_defs['subpanel_setup'][$subpanelKey]);
                        }
                    }
                } else {
                        //Subpanels to hide
                        $hideSubpanels=array(
                            'se_investments_contacts',
                        );

                        foreach ($hideSubpanels as $subpanelKey)
                        {
                            //Remove subpanel if set
                            if (isset($subpanel->subpanel_definitions->layout_defs['subpanel_setup'][$subpanelKey]))
                            {
                                unset($subpanel->subpanel_definitions->layout_defs['subpanel_setup'][$subpanelKey]);
                            }
                        }
                    }

            echo $subpanel->display();
        }
    }
}

?>